#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/pam.d/popa3d.new

# If the pop user/group don't exist, add them:

if ! grep "pop::90" etc/group 1> /dev/null 2> /dev/null ; then
  chroot . groupadd -g 90 pop	
fi

if ! grep "pop:x:90:90" etc/passwd 1> /dev/null 2> /dev/null ; then
  chroot . useradd -u 90 -g 90 -d / pop	
fi
